%define upstream_name    Gnome2-Rsvg
%define upstream_version 0.11

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Perl module for the gnome2-2.x rsvg libraries
License:    GPL+ or Artistic
Group:      Development/GNOME and GTK+
URL:        http://gtk2-perl.sf.net/
Source0:    http://prdownloads.sourceforge.net/gtk2-perl/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: libatk-devel
BuildRequires: librsvg-devel => 2.4.0 
BuildRequires: perl-ExtUtils-PkgConfig 
BuildRequires: perl-ExtUtils-Depends 
BuildRequires: perl-Glib => 1.00
BuildRequires: perl-Gtk2 gtk+2-devel
BuildRequires: perl-devel 
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}

Conflicts: drakxtools < 9.1-15mdk
Requires: perl-Glib >= 1.00

%description
This module provides perl access to GNOME-2.x rsvg libraries
(which uses libart and pango to render svg files.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
find -type d -name CVS | rm -rf 

%build
RPM_OPT_FLAGS="$RPM_OPT_FLAGS -Os -s"
export GTK2_PERL_CFLAGS="$RPM_OPT_FLAGS"
perl Makefile.PL INSTALLDIRS=vendor
make OPTIMIZE="$RPM_OPT_FLAGS"
#%make test || :

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc LICENSE 
%{_mandir}/*/*
%{perl_vendorarch}/Gnome2/*
%{perl_vendorarch}/auto/Gnome2/*


%changelog
* Tue Jul 20 2010 Jérôme Quelin <jquelin@mandriva.org> 0.110.0-2mdv2011.0
+ Revision: 555878
- rebuild for perl 5.12

* Tue Jul 13 2010 Jérôme Quelin <jquelin@mandriva.org> 0.110.0-1mdv2011.0
+ Revision: 552313
- update to 0.11

* Mon Aug 03 2009 Jérôme Quelin <jquelin@mandriva.org> 0.100.0-1mdv2010.0
+ Revision: 408409
- rebuild using %%perl_convert_version

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 0.10-4mdv2009.0
+ Revision: 257119
- rebuild

* Tue Jan 15 2008 Thierry Vignaud <tv@mandriva.org> 0.10-2mdv2008.1
+ Revision: 152093
- rebuild

* Thu Dec 20 2007 Olivier Blin <oblin@mandriva.com> 0.10-1mdv2008.1
+ Revision: 135846
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Thu Jan 04 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.10-1mdv2007.1
+ Revision: 104210
- new release

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - Import perl-Gnome2-Rsvg

* Thu Mar 16 2006 Thierry Vignaud <tvignaud@mandriva.com> 0.06-2mdk
- fix buildrequires

* Tue Jan 31 2006 Thierry Vignaud <tvignaud@mandriva.com> 0.06-1mdk
- new releaase

* Mon Jan 23 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.05-2mdk
- Add BuildRequires : libatk-devel

* Thu Oct 13 2005 Thierry Vignaud <tvignaud@mandriva.com> 0.05-1mdk
- new release

* Fri Feb 25 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.04-1mdk
- new release

* Wed Feb 09 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.03-2mdk
- rebuild for new perl

* Tue Jul 27 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.03-1mdk
- new release

* Mon Jun 07 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.02-1mdk
- new release

* Sat Apr 10 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.01-2mdk
- relink with new libcroco

* Sat Jan 10 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.01-1mdk
- initial release

